#!/bin/sh

# Simple script to properly name the tar file created by "make pkg"

type=$1
TAR=$2
version=$(cat VERSION)
echo "Version: $version"

OS=`uname -s`
case $OS in
SunOS)
	sunversion=`uname -r`
	case $sunversion in
	5*) OS=Solaris;;
	4*) OS=SunOS;;
	esac
	;;
*);;
esac

set -x

rm -f XNotesPlus*.tar.gz
if [ -d xnotes ]; then rm -rf xnotes; fi
make xp-install
mkdir xnotes/docs-d; nroff -man doc-d/xnotes+.man > xnotes/docs-d/xnotes+.1
cp doc-d/COPYING xnotes/COPYING
cp doc-d/History xnotes/History
cp doc-d/INSTALL.dist xnotes/INSTALL
cp doc-d/XNotesPlus.README xnotes/README
rm -rf xnotes/help-d/templates
cp tools-d/install.sh xnotes/install
strip installer-d/xninstall
cp installer-d/xninstall xnotes/xninstall
cp -r installer-d/pixmaps xnotes
cp -r audio-d xnotes
cp -r themes xnotes
mkdir xnotes/pilot
cp data-d/xnaddress xnotes/pilot/xnaddress
cp data-d/xntodos xnotes/pilot/xntodos
cp -r xpm-d xnotes
rm -f xnotes/xpm-d/xnotes-simple.xcf
rm -rf xnotes/xpm-d/.xvpics
rm -f xnotes/xpm-d/xnotes.xpm
cp srcgtk-d/XNotesPlus.* xnotes
cp data-d/xnprojects-gtk xnotes

cd xnotes
cvsfiles=`find . -name "*CVS*" -print`
if [ "$cvsfiles" != "" ]
then
	rm -rf $cvsfiles
fi
cd ..
set +x

echo "System type is $OS"
${TAR} XNotesPlus-v${version}-${OS}-${type}.tar.gz xnotes

rm -rf xnotes
